WayloAIWaylo Docs
APIReferenceWorkspaces

Update workspace

PATCH
/workspaces/{id}

Change any part of a workspace, including retiring it with active: false and the way back. It never moves between tenants. A metadata sent here replaces the stored object whole rather than merging into it.

Access: tenant_admin · API key workspaces:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Request Body

application/json
  1. body
name?string
Lengthlength <= 100
externalId?|
Lengthlength <= 100
timezone?string|null
metadata?
active?boolean

Response Body

Success

application/json
  1. response
id*string
name*string
externalId*string|null
timezone*string|null
metadata*
active*boolean
memberCount*number
createdByUserId*|
Formatuuid
createdByUserName*string|null
updatedByUserId*|
Formatuuid
updatedByUserName*string|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X PATCH 'https://api.poc.app.waylovoice.ai/workspaces/string' \  -H 'Authorization: Bearer sk_waylo_...' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "name": "string",  "externalId": "string",  "timezone": "string",  "metadata": {},  "active": true,  "memberCount": 0,  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",  "createdByUserName": "string",  "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",  "updatedByUserName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}